WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WP Smart Taxonomy

A cool new WordPress plugin that helps you to make smart collection of posts.

The plugin provides an easy way to automatically assign your posts to relevant categories. The plugin looks up your post title, content, excerpt and tags, matches the key words with already available categories and automatically assigns the post to those relevant categories.

This plugin will be really helpful if your website has a huge number of post and post categories. The plugin minimizes the effort of manually assigning each and every post to relevant categories.

For example, if you create a post with a title "IPhone 5S Reviews" and you have categories like "IPhone", "Reviews" available, then the post gets automatically assigned to these categories.

Compatibility

The plugin is fully compatible with the recent versions of WordPress.

  • Compatible with older WordPress versions, down to 3.0.
  • Multilingual Support is included with the plugin and is fully compatible with WPML.
  • Support added for common importers like WordPress Importer and WP All Import.

Configurable

WP Smart taxonomy is completely customizable. Among others, you may enable/disable smart category(ies), append with existing categories, choose whether to generate smart category associations from post titles and tags.

From version 1.0.3 onwards, the settings can be overriden for individual posts.

From version 1.0.8 onwards, collections can also be made using post content or excerpt.

Upcoming Features

The plugin now only works with default WordPress posts and taxonomies. In the upcoming version we will be adding support for custom post types and taxonomies. So, keep a look out for the updated version. :)

If you are looking for a Woocommerce compatible plugin, check out Woocommerce Smart Collection .

Feedback

All we want is some love. If you did not like this plugin or if it is buggy, please give us a shout and we will be happy to fix the issue/add the feature. If you indeed liked it, please leave a 5/5 rating.
In case you feel compelled to rate this plugin less than 5 stars - please do mention the reason and we will add or change options and fix bugs. It's very unpleasant to see silent low rates. For more information and instructions on this plugin please visit http://www.dualcube.com.

Requires: 3.0 or higher
Compatible up to: 3.9.2
Last Updated: 2014-6-25
Downloads: 385

Ratings

4 stars
4.7 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1